<?php

$GLOBALS['ldap_test_underway'] = false;

function ldap_integration_test() {
  global $ldap_test_msgs, $base_url;

  $all_funcs = get_defined_functions();
  $user_funcs = $all_funcs['user'];

  print '<p><a href="' . $base_url .'">Return to main page</a></p>';
  print '<dl>';

  $num_runs = 0;
  $num_ok = 0;
  foreach ($user_funcs as $f) {
    if (preg_match('/^ldap_integration_test_/', $f)) {
      $num_runs++;
      $ok = call_user_func($f);
      if ($ok) {
        $num_ok++;
      }
    }
  }

  print '</dl>';

  if ($num_runs) {
    print "$num_runs tests run. $num_ok were successful";
  }
  else {
    print 'No tests were run';
  }
}

$GLOBALS['test_count'] = 0;
function _test_start($string) {
  global $test_count, $ldap_test_underway;
  $ldap_test_underway = true;
  $test_count++;
  print "<dt>TEST #$test_count: $string</dt>";
  print '<dd><ul>';
}

function _test_out($o) {
  if (is_string($o)) {
    print "<li>$o</li>";
  }
  else {
    print '<li><pre>'; print_r($o); print '</pre></li>';
  }
}

function _test_end($result) {
  global $test_count, $ldap_test_underway;
  $ldap_test_underway = false;
  print '</ul>';
  print "<p>Result for test #$test_count: ";
  if ($result) {
    print '<span style="color: green;">OK</span>';
  }
  else {
    print '<span style="color: red;">FAILED</span>';
  }
  print '</p>';

  print '<p>Drupal messages:</p>';
  print '<div style="border: 1px solid black; padding: 1em 2em; background: #EEE;">';
  $dout = array_shift($_SESSION['messages']);
  foreach ($dout as $m) {
    print('<p style="margin: 0; padding: 0;">' . $m . '</p>');
  }
  print '</div>';

  print '</dd>';
  print '<hr/>';
}

function _gen_user() {
  return array(
    'name' => 'jmelavo',
    'pass' => 'caca',
    'server' => '',
  );
}

?>