<?php

include_once('libtest.php');

function ldap_integration_test_trivial() {
  _test_start('Testing test system');
  _test_out('nothing unusual');
  _test_end(true);
  return true;
}

function ldap_integration_test_failed_login() {
  $user = _gen_user();
  $user['pass'] = $user['pass'] . 'caca';

  _test_start('Failed login');

  _test_out('trying to log in');
  if ($allowed = _ldap_integration_code_added_user_login($name, $pass)) {
    _test_out('ugh... allowed to log in');
  }
  else {
    _test_out('failed to log in');
  }

  _test_end(!$allowed);

  return !$allowed;
}

function ldap_integration_test_login() {
  $user = _gen_user();

  _test_start('Log in');

  _test_out('trying to log in');
  $query_str = $_SERVER['QUERY_STRING'];
  parse_str($query_str, $query);

  $_REQUEST['destination'] = $query['q'];

  if ($allowed = _ldap_integration_fake_user_login($user)) {
    _test_out('allowed in');
    _test_out('returned:');
    _test_out($allowed);
  }
  else {
    _test_out('ugh... failed to log in');
  }

  _test_end($allowed);

  return $allowed;
}

function ldap_integration_test_view() {
  global $user;

  _test_start('View user');

  $data = module_invoke('ldap_integration', 'user', 'view', '', $user);
  _test_out('user data:');
  _test_out(dump_r($data));

  _test_end( !! $data);

  return !! $data;
}

function ldap_integration_test_logout() {
  $user = _gen_user();

  _test_start('Log out');

  _test_out('logging out');

  // Copied from user.module
  session_destroy();
  module_invoke_all('user', 'view', NULL, $user);
  unset($user);

  _test_end(true);

  return true;
}

?>